/***********************************************************************
 * conf.h	- configuration file to build fvshell & fvmail
 **********************************************************************/
 
 
#define SCO     0       /* 1 if SCO UNIX or XENIX */
 
        /*  If SYSTEMID is defined, it contains the host's name. */
        /*  Otherwise, /etc/hostname holds the host's name      */
 
#define      SYSTEMID        "galadriel.ecatec.ohio-state.edu"
 
        /*  These flags control various compilation features    */
        /*  Turn them on (1) or off (0) as appropriate          */
 
#define NDIR    1       /* To use <sys/ndir.h> directory interfaces */
#define MKDIR   0       /* If mkdir() not part of standard libraries */
#define DEBUG   1       /* If you want more junk in the log file */
#define TYPES_T 1       /* To define types like pid_t, mode_t, and off_t */
#define SGTTY   1       /* If you don't have termio for port settings */
#define NeXT    1       /* Next computer */
#define _POSIX_SOURCE 1


/* The facility name which syslog reports errors and stats under. If
   you don't want to use syslog for reporting then undefine and the
   information will be written to stderr instead. */

#define SYSLOG			LOG_LOCAL1

/* Pathame of the home directory for the FV Account */

#define SPOOLDIR        "/usr/spool/uucp/"
#define SITENAME	"tcq"
#define SENDCMD         "sz"
#define SENDOPTION      "-a"
#define PACKET          "D.packet" 
        /*  System-dependent settings  */
 
#define DPERM           (0775)          /* spool directory permissions */
#define PATHLEN         (128)           /* maximum pathname length */
 
 
        /*
         *  These are available for compatibility
         *  with older compilers that do not have them.
         */
 
#if TYPES_T
typedef int pid_t;
typedef int mode_t;
/* typedef unsigned long off_t; */
#endif /* TYPES_T */
 







